Axelered AI
API Process

List Process Runs

GET
/w/{workspace_id}/process

Retrieve a paginated list of all processing runs in the workspace.

Path Parameters

workspace_id*Workspace Id
Formatuuid

Query Parameters

limit?Limit
Default50
Range1 <= value <= 100
cursor?string|null

Response Body

application/json

application/json

{  "data": {    "cursor": "Mg==",    "items": [      {        "config": {          "parserConfig": {            "provider": "markitdown"          }        },        "files": [          "invoice.pdf"        ],        "id": "018f8e02-4b2a-7c9d-8d4e-123456789abc",        "outcome": {          "documentStatuses": {            "invoice.pdf": "done"          }        },        "status": "done"      }    ],    "limit": 50,    "total": 1  },  "status": "ok"}
{  "detail": [    {      "loc": [        "string"      ],      "msg": "string",      "type": "string",      "input": null,      "ctx": {}    }  ]}